DocsAPI ReferenceWarehouse/bff/warehouse/scanner/quick-op
postWarehouseAdmin BFF

/bff/warehouse/scanner/quick-op

Mobile/scanner quick stock operation with idempotent offline-queue support (Tier 1 #3)

WarehousepostBffWarehouseScannerQuick-op

Parameters

11 body

11 total
Body · 11
kindstring | string | string | stringRequired
clientOperationIdstring | null
itemCodestring | null
productCodestring | null
productVariantCodestring | null
virtualItemSkustring | null
sourceCodestring | null
targetCodestring | null
quantitynumberRequired
notestring | null
performedByMemberIdnumber | null

Request

POST /bff/warehouse/scanner/quick-op

post
curl -X POST "https://api.bizkithub.com/bff/warehouse/scanner/quick-op" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "quantity": 0
}'

Response

JSON payload

{
  "success": false,
  "movementId": 0,
  "replayed": false
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key